#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kactivitymanagerd
Epoch:         1
Version: 6.3.2
Release:       %mkrel %{rel}
Summary:       System service to manage user's activities, track the usage patterns etc
Group:         Graphical desktop/KDE
License:       LGPLv2+
URL:           https://invent.kde.org/plasma/kactivitymanagerd
Source0:       https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz


BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Core5Compat)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Widgets)

BuildRequires: cmake(KF6DBusAddons)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6GlobalAccel)
BuildRequires: cmake(KF6XmlGui)

BuildRequires: boost-devel

%description
System service to manage user's activities, track the usage patterns etc.

%files -f %name.lang
%_kf6_categoriesdir/kactivitymanagerd.categories
%_libexecdir/kactivitymanagerd
%_kf6_libdir/libkactivitymanagerd_plugin.so
%_qt6_plugindir/kactivitymanagerd1/
%_kf6_datadir/dbus-1/services/org.kde.ActivityManager.service
%_userunitdir/plasma-kactivitymanagerd.service
%_kf6_datadir/krunner/dbusplugins/plasma-runnners-activities.desktop

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name



%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 1:6.3.2-1.mga10
+ Revision: 2152439
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 1:6.3.1-1.mga10
+ Revision: 2149374
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 1:6.3.0-1.mga10
+ Revision: 2146897
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 1:6.2.91-1.mga10
+ Revision: 2140797
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 1:6.2.90-1.mga10
+ Revision: 2137940
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 1:6.2.5-1.mga10
+ Revision: 2134159
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 1:6.2.4-1.mga10
+ Revision: 2119030
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 1:6.2.3-1.mga10
+ Revision: 2113140
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 1:6.2.2-1.mga10
+ Revision: 2110020
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 1:6.2.1-1.mga10
+ Revision: 2107197
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 1:6.2.0-1.mga10
+ Revision: 2104427
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 1:6.1.90-1.mga10
+ Revision: 2095374
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 1:6.1.4-1.mga10
+ Revision: 2083889
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 1:6.1.2-1.mga10
+ Revision: 2079100
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 1:6.1.1-1.mga10
+ Revision: 2076697
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 1:6.1.0-1.mga10
+ Revision: 2074803
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 1:6.0.90-1.mga10
+ Revision: 2069775
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 1:6.0.4-1.mga10
+ Revision: 2057900
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 1:6.0.3-1.mga10
+ Revision: 2052460
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 1:6.0.2-1.mga10
+ Revision: 2049375
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 1:6.0.1-1.mga10
+ Revision: 2048124
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 1:6.0.0-1.mga10
+ Revision: 2044982
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 1:5.93.0-1.mga10
+ Revision: 2036770
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 1:5.92.0-1.mga10
+ Revision: 2029631
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 1:5.91.0-1.mga10
+ Revision: 2025667
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Sun Nov 12 2023 neoclust <neoclust> 1:5.27.80-1.mga10
+ Revision: 2006396
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 1:5.27.9-1.mga10
+ Revision: 2001101
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 1:5.27.8-1.mga10
+ Revision: 1988227
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 1:5.27.5-1.mga9
+ Revision: 1958030
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 1:5.27.4-1.mga9
+ Revision: 1951942
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 1:5.27.3-1.mga9
+ Revision: 1949068
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 1:5.27.2-1.mga9
+ Revision: 1945775
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 1:5.27.1-1.mga9
+ Revision: 1944787
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 1:5.27.0-1.mga9
+ Revision: 1942054
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.26.90-1.mga9
+ Revision: 1935062
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 1:5.26.5-1.mga9
+ Revision: 1930051
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 1:5.26.4-1.mga9
+ Revision: 1923103
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 1:5.26.3-1.mga9
+ Revision: 1907522
- New version 5.26.3
- New version 5.26.2

* Sun Sep 18 2022 neoclust <neoclust> 1:5.25.90-1.mga9
+ Revision: 1889872
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 1:5.25.4-1.mga9
+ Revision: 1875454
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 1:5.25.3-1.mga9
+ Revision: 1872267
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Wed Apr 06 2022 umeabot <umeabot> 1:5.24.4-2.mga9
+ Revision: 1846072
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 1:5.23.4-1.mga9
+ Revision: 1766152
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 1:5.23.3-1.mga9
+ Revision: 1756817
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 1:5.23.0-1.mga9
+ Revision: 1750068
- New version 5.23.0
- New version 5.22.90

* Sun Jul 18 2021 neoclust <neoclust> 1:5.22.3-1.mga9
+ Revision: 1736606
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 1:5.21.5-1.mga9
+ Revision: 1721745
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.21.4-1.mga9
+ Revision: 1715379
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 1:5.21.3-1.mga9
+ Revision: 1704256
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 1:5.21.2-1.mga9
+ Revision: 1697426
- New version 5.21.2

* Sun Feb 28 2021 daviddavid <daviddavid> 1:5.21.1-1.mga9
+ Revision: 1693666
- New version 5.21.1

* Mon Dec 07 2020 daviddavid <daviddavid> 1:5.20.4-1.mga8
+ Revision: 1654180
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 1:5.20.3-1.mga8
+ Revision: 1645395
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 1:5.20.2-1.mga8
+ Revision: 1639968
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 1:5.20.1-1.mga8
+ Revision: 1637725
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 1:5.20.0-1.mga8
+ Revision: 1635429
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 1:5.19.5-1.mga8
+ Revision: 1620766
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 1:5.19.4-1.mga8
+ Revision: 1609591
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 1:5.19.3-1.mga8
+ Revision: 1602990
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 1:5.19.2-1.mga8
+ Revision: 1598705
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 1:5.19.1-1.mga8
+ Revision: 1593999
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 1:5.18.5-1.mga8
+ Revision: 1580739
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 1:5.18.3-1.mga8
+ Revision: 1557139
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 1:5.18.2-1.mga8
+ Revision: 1550365
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 1:5.18.1-1.mga8
+ Revision: 1548219
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 1:5.18.0-2.mga8
+ Revision: 1547104
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 1:5.18.0-1.mga8
+ Revision: 1496221
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 1:5.17.90-1.mga8
+ Revision: 1487390
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 1:5.17.4-1.mga8
+ Revision: 1464287
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 1:5.17.3-1.mga8
+ Revision: 1460045
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 1:5.17.2-1.mga8
+ Revision: 1456756
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 1:5.17.1-1.mga8
+ Revision: 1455321
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 1:5.17.0-1.mga8
+ Revision: 1453153
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 1:5.16.90-1.mga8
+ Revision: 1448168
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 1:5.16.5-1.mga8
+ Revision: 1437037
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 1:5.16.4-1.mga8
+ Revision: 1426305
- New version 5.16.4

* Thu Jul 11 2019 neoclust <neoclust> 1:5.16.3-1.mga8
+ Revision: 1420138
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 1:5.15.4-1.mga7
+ Revision: 1386837
- New version 5.15.4

* Sat Mar 30 2019 umeabot <umeabot> 1:5.15.3-2.mga7
+ Revision: 1381979
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 1:5.15.3-1.mga7
+ Revision: 1374914
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 1:5.15.2-1.mga7
+ Revision: 1370543
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 1:5.15.1-1.mga7
+ Revision: 1368583
- New version 5.15.1

* Sat Feb 16 2019 neoclust <neoclust> 1:5.15.0-1.mga7
+ Revision: 1367688
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.14.5-1.mga7
+ Revision: 1356167
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 1:5.14.4-1.mga7
+ Revision: 1339304
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 1:5.14.2-1.mga7
+ Revision: 1324863
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 1:5.13.4-2.mga7
+ Revision: 1298417
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 1:5.13.4-1.mga7
+ Revision: 1252555
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 1:5.12.2-1.mga7
+ Revision: 1204434
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 1:5.12.1-1.mga7
+ Revision: 1200979
- New version 5.12.1

* Fri Jan 19 2018 neoclust <neoclust> 1:5.11.95-1.mga7
+ Revision: 1194730
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 1:5.11.4-1.mga7
+ Revision: 1185674
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 1:5.11.2-1.mga7
+ Revision: 1174094
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 1:5.11.1-1.mga7
+ Revision: 1172379
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 1:5.10.95-1.mga7
+ Revision: 1162379
- New version 5.10.95
- New version 5.10.5

* Tue Aug 01 2017 pterjan <pterjan> 1:5.10.4-3.mga7
+ Revision: 1133481
- Fix for new find_lang
- Fix for new find_lang

* Sat Jul 22 2017 neoclust <neoclust> 1:5.10.4-1.mga7
+ Revision: 1128193
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 1:5.8.7-1.mga6
+ Revision: 1104830
- New version 5.8.7

* Wed Mar 08 2017 neoclust <neoclust> 1:5.8.6-2.mga6
+ Revision: 1089694
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 1:5.8.6-1.mga6
+ Revision: 1089016
- New version 5.8.6

* Tue Jan 31 2017 tv <tv> 1:5.8.5-3.mga6
+ Revision: 1084367
- slightly relax the conflicts

* Tue Jan 31 2017 tv <tv> 1:5.8.5-2.mga6
+ Revision: 1084356
- fix upgrade from mga5

* Tue Dec 27 2016 neoclust <neoclust> 1:5.8.5-1.mga6
+ Revision: 1078151
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 1:5.8.4-1.mga6
+ Revision: 1070708
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 1:5.8.3-2.mga6
+ Revision: 1065073
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 1:5.8.3-1.mga6
+ Revision: 1064468
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 1:5.8.2-1.mga6
+ Revision: 1063039
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 1:5.8.1-1.mga6
+ Revision: 1060264
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 1:5.8.0-1.mga6
+ Revision: 1057590
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 1:5.7.95-1.mga6
+ Revision: 1053046
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 1:5.7.5-1.mga6
+ Revision: 1052673
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 1:5.7.4-1.mga6
+ Revision: 1048334
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 1:5.7.3-1.mga6
+ Revision: 1044259
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 1:5.7.2-1.mga6
+ Revision: 1042547
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 1:5.7.1-1.mga6
+ Revision: 1041384
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 1:5.7.0-1.mga6
+ Revision: 1039490
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.6.5-1.mga6
+ Revision: 1021856
- New version 5.6.5
- New version 5.6.4

* Sun May 15 2016 neoclust <neoclust> 1:5.6.4-2.mga6
+ Revision: 1015661
- Add Epoch to allow update from mga5 ( from NyB )
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009264
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999248
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998003
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994378
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986978
- Rebuild against kf5 5.20.0

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 985539
- imported package kactivitymanagerd

